<div class="px-4 sm:px-6 lg:px-8">
	<div class="mt-8 flex flex-col">
		<div class="-my-2 -mx-4 overflow-x-auto sm:-mx-6 lg:-mx-8">
			<div class="inline-block min-w-full py-2 align-middle md:px-6 lg:px-8">
				<div class="overflow-hidden shadow ring-1 ring-black ring-opacity-5 md:rounded-lg">
					<table class="min-w-full divide-y divide-gray-300">
						<thead class="bg-gray-700">
						<tr>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Type</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Info</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Actions</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Cached</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Video</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Audio</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Seeds</th>
						</tr>
						</thead>

						<tbody>
						@foreach ($data->streams as $data)
							<tr data-key="{{ $data->id }}" class="even:bg-gray-300 odd:bg-white">
								<td class="whitespace-nowrap py-4 pl-4 pr-3 text-sm font-medium text-gray-900 sm:pl-6">{{ $data->stream->type }}</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">
									{{ $data->file->name }}<br/>
									<span class="text-sm italic">
							{{ $data->stream->origin }} |
							{{ $data->stream->source }} |
							{{ $data->meta->release }} |
							{{ getFormattedFileSize($data->file->size) }}
						</span>
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">
									Preview Trailer<br/>
									<a href="{{ $data->links[0] }}">Download Magnet</a>
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">
									@if ($data->access->realdebrid === true && $data->access->realdebrid === true)
										Cached
									@else
										Not Cached
									@endif
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">Quality: {{ $data->video->quality ?? ''  }} | Codec: {{ $data->video->codec ?? ''  }}</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">Quality: {{ $data->audio->type ?? '' }} | Channels: {{ $data->audio->channels ?? '' }} | {{ $data->audio->codec ?? '' }}</td>
								<td class="relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6">Seeds: {{ $data->stream->seeds }}</td>
							</tr>
						@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
