@foreach ($results as $result)
<li class="col-span-1 divide-y divide-gray-200 rounded-lg bg-white shadow border overflow-hidden hover:scale-105 hover:transition duration-1000 ease-in-out">
    <div class="flex w-full space-x-6 rounded-">
        <img class="h-48 min-w-[135px] max-w-[135px] flex-shrink-0 bg-gray-300" src="{{ $result->image->generic }}" alt="{{ $result->meta->title }} image">
        <div class="flex-1 pt-4">
            <div class="flex item-center pb-2 space-x-3">
                <h3 class="text-sm font-medium text-gray-900 font-bold">{{ $result->meta->title }}</h3>
            </div>
            <div class="flex item-center pb-2 space-x-3">
                <h3 class="text-sm font-medium text-gray-900 font-bold"><strong>Type: </strong>{{ ucfirst($result->type) }}</h3>
            </div>
            <div class="flex items-center space-x-3">
                <h3 class="text-sm font-medium text-gray-900"><strong>Released</strong>: {{ $result->meta->year }}</h3>
            </div>
            <div class="flex items-center space-x-3">
                <h3 class="text-sm font-medium text-gray-900"><strong>Runtime</strong>: {{ round($result->meta->runtime / 60, PHP_ROUND_HALF_UP) }}  mins</h3>
            </div>
            <div class="flex items-center space-x-3">
                <h3 class="text-sm font-medium text-gray-900"><strong>Certification</strong>: {{ $result->meta->certification ?? 'Not Found' }}</h3>
            </div>
            <div class="flex items-center space-x-3">
                <h3 class="text-sm font-medium text-gray-900"><strong>Score</strong>: {{ round($result->meta->votes->rating * 10, 0, PHP_ROUND_HALF_UP) }}%</h3>
            </div>
        </div>
    </div>
    <div>
        <div class="-mt-px flex">
            <div class="flex w-0 flex-1">
                <button onclick="getLinks(event)" data-formid="movie_form_{{ $loop->index }}" data-type="{{ $result->type === "movie" ? "movie" : "show" }}" class="relative -mr-px inline-flex w-0 flex-1 items-center justify-center rounded-bl-lg border border-transparent py-4 text-sm font-medium text-gray-700 hover:bg-gray-200 hover:text-gray-500">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 text-gray-300">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 011.242 7.244l-4.5 4.5a4.5 4.5 0 01-6.364-6.364l1.757-1.757m13.35-.622l1.757-1.757a4.5 4.5 0 00-6.364-6.364l-4.5 4.5a4.5 4.5 0 001.242 7.244" />
                    </svg>

                    @if ($result->type === "movie")
                        <form id="movie_form_{{ $loop->index }}">
                            <input type="hidden" name="queryString" value="{{ $result->meta->title }} {{ $result->meta->year }}">
                            <input type="hidden" name="imdb_id" value="{{ $result->id->imdb }}">
                            <input type="hidden" name="tmdb_id" value="{{ $result->id->tmdb }}">
                            <input type="hidden" name="searchType" value="movie">
                        </form>
                        <span class="ml-3">Show Links</span>
                    @else
                        <div class="flex">
                            <form id="series_form">
                                <label for="season_{{ $loop->index }}">
                                    Season: <input type="text" placeholder="1" id="season_{{ $loop->index }}" name="season_number">
                                </label>
                                <label for="episode_{{ $loop->index }}">
                                    Episode: <input type="text" placeholder="1" id="episode_{{ $loop->index }}" name="episode_number">
                                </label>

                                <input type="hidden" name="imdb_id" value="{{ $result->id->imdb }}">
                                <input type="hidden" name="tmdb_id" value="{{ $result->id->tmdb }}">
                                <input type="hidden" name="tvdb_id" value="{{ $result->id->tvdb }}">
                            </form>
                        </div>
                    @endif
                </button>
            </div>
        </div>
    </div>
</li>
@endforeach